/*
 * grunt-devperf
 * https://github.com/gaelmetais/grunt-devperf
 *
 * Copyright (c) 2014 Gaël Métais
 * Licensed under the MIT license.
 */

module.exports = function(grunt) {
  'use strict';

  // Project configuration.
  grunt.initConfig({
    jshint: {
      all: [
        'Gruntfile.js',
        'tasks/devperf.js',
        'tasks/front/assets/main.js'
      ]
    },

    // Configuration to be run
    devperf: {
      options: {
        urls: [
          'http://pluzz.francetv.fr'
        ],
        openResults: true,
        phantomasOptions: {
          'user-agent': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_2) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/36.0.1944.0 Safari/537.36'
        }
      }
    },

    // Unit tests : TODO
    nodeunit: {
      tests: []
    }

  });

  // Actually load this plugin's task(s).
  grunt.loadTasks('tasks');

  // These plugins provide necessary tasks.
  grunt.loadNpmTasks('grunt-contrib-jshint');
  grunt.loadNpmTasks('grunt-contrib-clean');


  grunt.registerTask('default', ['devperf']);

  // By default, lint and run all tests.
  grunt.registerTask('lint', ['jshint']);

};
